version: "3.7"
services:
  httpserver:
    image: nginx:1.17.8
    container_name: httpserver
    hostname: httpserver
    working_dir: /www
    volumes:
      - "../src:/www"
      - "./services-configuration/nginx.conf:/etc/nginx/conf.d/default.conf"
    ports:
      - 8080:80
    networks:
      subway:
        ipv4_address: 192.168.15.5
  app:
    image: "php:8.0.6-fpm-buster"
    container_name: app
    hostname: app
    working_dir: /www
    entrypoint: "/opt/php_entrypoint.sh"
    environment:
      APP_KEY: "base64:FSdckte7xATGelRnHFKSC8S9fB9WcLpK2qFllbJXs7E="
    volumes:
      - "../src:/www"
      - "./entrypoint/php.sh:/opt/php_entrypoint.sh"
    networks:
      subway:
        ipv4_address: 192.168.15.10
  mysql:
    image: "mysql:8.0"
    container_name: mysql
    hostname: mysql
    environment:
      MYSQL_ROOT_PASSWORD: "secret"
    ports:
      - 3306:3306
    networks:
      subway:
        ipv4_address: 192.168.15.15
networks:
  subway:
    ipam:
      driver: default
      config:
        - subnet: 192.168.15.0/24
